Debian Bug report logs - #632962
python-imaging needs to be multiarch-aware

version graph

Package: python-imaging; Maintainer for python-imaging is Matthias Klose <doko@debian.org>; Source for python-imaging is src:pillow.

Reported by: Barry Warsaw <barry@python.org>

Date: Thu, 7 Jul 2011 12:42:23 UTC

Severity: important

Tags: patch

Found in version python-imaging/1.1.7-3

Fixed in version python-imaging/1.1.7-4

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, barry@python.org, Matthias Klose <doko@debian.org>:
Bug#632962; Package python-imaging. (Thu, 07 Jul 2011 12:42:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Barry Warsaw <barry@python.org>:
New Bug report received and forwarded. Copy sent to barry@python.org, Matthias Klose <doko@debian.org>. (Thu, 07 Jul 2011 12:42:28 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Barry Warsaw <barry@python.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-imaging needs to be multiarch-aware
Date: Thu, 07 Jul 2011 08:15:43 -0400
[Message part 1 (text/plain, inline)]
Package: python-imaging
Version: 1.1.7-3
Severity: important
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu oneiric ubuntu-patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256


This adds multiarch directory path discovery to PIL's setup.py.  Without this,
on Oneiric -- and presumably also on Debian multiarch -- libraries such as
zlib, jpeg and others can't be found, and thus support for them is missing.

https://bugs.launchpad.net/ubuntu/+source/python-imaging/+bug/806661

*** /tmp/tmp5zDiX2
In Ubuntu, the attached patch was applied to achieve the following:

  * debian/patches/01_multiarch_support.patch
    - Add multiarch search directories as given by dpkg-architecture.
      This re-enables support for: tkinter, jpeg, zlib, freetype2, and
      littlecms.  Problem found and patch inspired by Marc Tardif (cr3).
      (LP: #806661)


Thanks for considering the patch.


- -- System Information:
Debian Release: squeeze/sid
  APT prefers natty-updates
  APT policy: (500, 'natty-updates'), (500, 'natty-security'), (500, 'natty')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-8-generic (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOFaNvAAoJEBJutWOnSwa/GhAP/jJTQxBrYnuKbNocakcCDSSc
Sg+OIcQmSKzsgEqf+tyGLA4idwWEDyP7oCMXPPooc0AMzLjoypx+wwXHdVGprkLv
/yFJOLKrTKquwHgkB1Ure9/Z20Dz7Ypg/jDcXJpwHimhq2w3juhyRXepU7lh/0ts
JCj55U+DU6DJM7UJY7qXZ8AJ4rLqQKj5HqejTuffhPN0UFvL4Dc1rLuKfD/yPMoh
l3vzM5WgL1f+nQqfVC4ojCeGwpXJbLLfILFKS7oxEh42ETRlkQ0CgbuobuP2BHio
js7rlpBJvu9zdGuW7MCoTxzbl9N1cMC4cgQn+kZWO3hbN4RWfDsMN0hN55Mh+Z1f
aDYB8EF9yH+OaX9Gcox8OliSGnD9j7Y1O2dvn9wIpmqdohlJ9NxQXV3a7NO7x9jC
VWOb0fLxCYVnz5YeQalyJjw37RkvuyqJGrMM9oLkA9aWLPzRF8NfLR1H2aSAt6vz
2GQyK6WlACPZ8hV0UXBH5Zc4wLyfPklC9ckgy8bceOOgDGCStQ0k7abp1PbVydoe
669ikqG2hFIKWgDKB2loHXETaM+jIiLA1HFa++WxFPa/5gfRV4XZVPnTiEzGwNEY
OFWHVMopT42u4AAUV8GD+WCkAN2ja4rpqQkntwzfHCx060mxek89jWGYuOsVzRHs
Ov37rloRJ6qc1gKjc8bJ
=PhKB
-----END PGP SIGNATURE-----
[tmpCz8Hia (text/plain, attachment)]

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Sat, 09 Jul 2011 10:33:43 GMT) Full text and rfc822 format available.

Notification sent to Barry Warsaw <barry@python.org>:
Bug acknowledged by developer. (Sat, 09 Jul 2011 10:33:48 GMT) Full text and rfc822 format available.

Message #10 received at 632962-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 632962-close@bugs.debian.org
Subject: Bug#632962: fixed in python-imaging 1.1.7-4
Date: Sat, 09 Jul 2011 10:30:15 +0000
Source: python-imaging
Source-Version: 1.1.7-4

We believe that the bug you reported is fixed in the latest version of
python-imaging, which is due to be installed in the Debian FTP archive:

python-imaging-dbg_1.1.7-4_amd64.deb
  to main/p/python-imaging/python-imaging-dbg_1.1.7-4_amd64.deb
python-imaging-doc_1.1.7-4_all.deb
  to main/p/python-imaging/python-imaging-doc_1.1.7-4_all.deb
python-imaging-sane-dbg_1.1.7-4_amd64.deb
  to main/p/python-imaging/python-imaging-sane-dbg_1.1.7-4_amd64.deb
python-imaging-sane_1.1.7-4_amd64.deb
  to main/p/python-imaging/python-imaging-sane_1.1.7-4_amd64.deb
python-imaging-tk-dbg_1.1.7-4_amd64.deb
  to main/p/python-imaging/python-imaging-tk-dbg_1.1.7-4_amd64.deb
python-imaging-tk_1.1.7-4_amd64.deb
  to main/p/python-imaging/python-imaging-tk_1.1.7-4_amd64.deb
python-imaging_1.1.7-4.diff.gz
  to main/p/python-imaging/python-imaging_1.1.7-4.diff.gz
python-imaging_1.1.7-4.dsc
  to main/p/python-imaging/python-imaging_1.1.7-4.dsc
python-imaging_1.1.7-4_amd64.deb
  to main/p/python-imaging/python-imaging_1.1.7-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632962@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python-imaging package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Jul 2011 11:56:15 +0200
Source: python-imaging
Binary: python-imaging python-imaging-dbg python-imaging-tk python-imaging-tk-dbg python-imaging-sane python-imaging-sane-dbg python-imaging-doc
Architecture: source all amd64
Version: 1.1.7-4
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 python-imaging - Python Imaging Library
 python-imaging-dbg - Python Imaging Library (debug extension)
 python-imaging-doc - Examples for the Python Imaging Library
 python-imaging-sane - Python Imaging Library - SANE interface
 python-imaging-sane-dbg - Python Imaging Library - SANE interface (debug extension)
 python-imaging-tk - Python Imaging Library - ImageTk Module
 python-imaging-tk-dbg - Python Imaging Library - ImageTk Module (debug extension)
Closes: 632180 632962
Changes: 
 python-imaging (1.1.7-4) unstable; urgency=low
 .
   * Add multiarch search directories as given by dpkg-architecture.
     This re-enables support for: tkinter, jpeg, zlib, freetype2, and
     littlecms (Marc Tardif, Barry Warsaw). LP: #806661.
     Closes: #632962, #632180.
   * Build using libjpeg8.
Checksums-Sha1: 
 8b4128a1dc05479180df5115efe25a0b5fd4a535 1343 python-imaging_1.1.7-4.dsc
 bfa85952bb670b6f479e78d0b6fe9c7a4d04995a 8733 python-imaging_1.1.7-4.diff.gz
 5d203354b2c022b72aeb5cae595128552b497617 69270 python-imaging-doc_1.1.7-4_all.deb
 a4f8b96de6cf371649fc613f194285459988b552 456574 python-imaging_1.1.7-4_amd64.deb
 938190c390790bbc6ef406df36338dfdc86a9b77 1240142 python-imaging-dbg_1.1.7-4_amd64.deb
 9be821cafdd0f8078c23632ce4128bb32f4c8b5b 37512 python-imaging-tk_1.1.7-4_amd64.deb
 f2c39caeb137105bf8238edbde369ec7ce0c090e 19706 python-imaging-tk-dbg_1.1.7-4_amd64.deb
 f8ce6e8bc3b88351bc6f0e49b6da2c129da30748 50296 python-imaging-sane_1.1.7-4_amd64.deb
 3b8d77c309305c474f17bcb0aa800963cf9a2d00 83510 python-imaging-sane-dbg_1.1.7-4_amd64.deb
Checksums-Sha256: 
 5e48fdf9c0b591eb1f45df0dc2000cb53c1561215fd69f8813106867ade18406 1343 python-imaging_1.1.7-4.dsc
 94bbd4423e46114e2a867387e130b62e17072493e1632b98be930ff509579e39 8733 python-imaging_1.1.7-4.diff.gz
 ae614513bc427ad635fa896ad191577ad8c98004434383ad95072c14db6e756f 69270 python-imaging-doc_1.1.7-4_all.deb
 cd0f8a373bf373b13871bbff3aecb91e44b9181aba3f8020cb2e21455399c077 456574 python-imaging_1.1.7-4_amd64.deb
 0acba0edee5607d31f14866a1103060187d201e7b61513308a66dd0517bd74fc 1240142 python-imaging-dbg_1.1.7-4_amd64.deb
 991f3b2f4654c59f6caa93aa9c293b2c046c7fba1573e4142be7ddb8ba787938 37512 python-imaging-tk_1.1.7-4_amd64.deb
 218249abee52d49d7ff5a224a5df2af76e67e339d86ef155a037d4eb7953bd10 19706 python-imaging-tk-dbg_1.1.7-4_amd64.deb
 2159e3b7784c50fcf5ba8505f44bbbfa791c4d5ac6322b1c4c210529ad1b8872 50296 python-imaging-sane_1.1.7-4_amd64.deb
 749647ce9f6d56bfda9116d48424523d53b9af09d48a760c4c5ac9940ef7a040 83510 python-imaging-sane-dbg_1.1.7-4_amd64.deb
Files: 
 941260eb9e34bfd995ce42fc44867816 1343 python optional python-imaging_1.1.7-4.dsc
 1d961043fba6963e48f35d1f21cf9791 8733 python optional python-imaging_1.1.7-4.diff.gz
 b3a2d41213e9b79dda0a8167a65a7221 69270 doc optional python-imaging-doc_1.1.7-4_all.deb
 36746ef8c9d1beb9189f456bccaf6c33 456574 python optional python-imaging_1.1.7-4_amd64.deb
 843aed50f3931ba38ca0e956ff13f940 1240142 debug extra python-imaging-dbg_1.1.7-4_amd64.deb
 cff5280fdd41953c13fca3d845380907 37512 python optional python-imaging-tk_1.1.7-4_amd64.deb
 3a0d5530a4a5dc016cdabfa5a31764cc 19706 debug extra python-imaging-tk-dbg_1.1.7-4_amd64.deb
 58aef556ca60d9245bec766a414d4feb 50296 python optional python-imaging-sane_1.1.7-4_amd64.deb
 48c26071af99945591aa3d7ace8432dc 83510 debug extra python-imaging-sane-dbg_1.1.7-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4YKS0ACgkQStlRaw+TLJxNygCeIJ/sbrrrRmq5FPyTb86u5YJA
xyoAnR9aYTA5zYy1AHdbJCITD4jB3/7I
=0xEG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Aug 2011 07:37:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:38:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.